# Generated by Django 3.2 on 2023-10-15 04:07

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0013_auto_20231015_1009'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPU',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('type', models.CharField(default='Jalan', max_length=500)),
                ('jln_beraspal', models.IntegerField(null=True)),
                ('jln_hampar', models.IntegerField(null=True)),
                ('jln_rusak', models.IntegerField(null=True)),
                ('jln_tani', models.IntegerField(null=True)),
                ('jln_tani_blm_aspal', models.IntegerField(null=True)),
                ('foto_jln_beraspal', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_jln_hampar', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_jln_rusak', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_jln_tani', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_jln_tani_blm_aspal', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('jmt_beton', models.IntegerField(null=True)),
                ('kondisi_jmt', models.IntegerField(null=True)),
                ('jmt_kayu', models.IntegerField(null=True)),
                ('kondisi_jmt_kayu', models.IntegerField(null=True)),
                ('foto_jmt_beton', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_kondisi_jmt', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_jmt_kayu', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('foto_kondisi_jmt_kayu', models.ImageField(null=True, upload_to='profile/images/pu', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
    ]
